.progress-bar
	&_desktop
		width 930px
		height 132px
		@media screen and (max-width: 999px)
			display none
	&_mobile
		width 540px
		display block
		position relative
		transform-origin 0 0
		.progress-bar__drawable__text
			color #05915ecc
			.progress-bar__text__holder
				font-size 14px
		.progress-bar__drawable__icon
			opacity 1
		.progress-bar__drawable__icon__visible
			transform translateY(50%) scaleY(1) translateY(-50%)

		@media screen and (min-width: 1000px)
			display none
	pointer-events none
	position absolute
	background-position 0 bottom
	background-repeat no-repeat
	overflow hidden
	&__movable
		position absolute
		bottom 0
		left 0
		width 100%
		height 100%
		transition-duration 1000ms
		&__back
			z-index 10
		&__car
			z-index 14
	&__drawable
		width 100%
		height 100%
		background-position 0 100%
		background-repeat no-repeat
		transition-duration 500ms
		transition-timing-function: linear;
		transition-delay 0ms
		&__rays
			background-position 0 100%
			opacity 0
			transition-duration 3000ms
			transition-delay 500ms
			transition-timing-function: linear;
			&__visible
				opacity 1
				transition-duration 2000ms
				transition-timing-function: linear;
				&__1
					transition-delay 2500ms
				&__1
					transition-delay 3000ms
		&__background
			&__button
				pointer-events all
				cursor pointer
				position absolute
				bottom 0
				left 0
				height 82.6%
			background-position 0 100%
			transition-duration 500ms
			opacity 1
			transition-timing-function ease-out;
			&__visible
				opacity 0
				transition-duration 500ms
				transition-timing-function: ease-out;
				&__1
					transition-delay 1100ms
		&__ground
			background-position 0 100%
			width 0%
			transition-duration 3000ms
			transition-delay 500ms
			transition-timing-function: cubic-bezier(0.16, 1, 0.72, 1);
			&__visible
				width 100%
				transition-duration 5000ms
				transition-timing-function: linear;
				&__1
					transition-delay 0ms
		&__icon
			opacity 0.2
			cursor pointer
			transform translateY(50%) scaleY(1) translateY(-50%)
			transition-timing-function: cubic-bezier(0.07, 0.39, 0.34, 1.69);
			transition-duration 400ms
			transition-delay 1500ms
			&__visible
				transform translateY(50%) scaleY(0) translateY(-50%)
				transition-duration 300ms
				transition-timing-function: cubic-bezier(0.07, 0.39, 0.34, 1.69);
				&__3
					transition-delay 1500ms
		&__item
			transform translateY(50%) scaleY(0) translateY(-50%)
			transition-delay 500ms
			&__visible
				transform translateY(50%) scaleY(1) translateY(-50%)
				transition-duration 400ms
				transition-timing-function: cubic-bezier(0.07, 0.39, 0.34, 1.4);
				&__1
					transition-delay 500ms
				&__2
					transition-delay 700ms
				&__3
					transition-delay 900ms
		&__text
			color #bebebe
			transition-delay 500ms
			&__visible
				color white
				transition-duration 500ms
				transition-timing-function: cubic-bezier(0.07, 0.39, 0.34, 1.69);
				&__3
					transition-delay 2000ms
			.progress-bar__text__holder
				pointer-events all
				cursor pointer
				width max-content
				white-space pre-line
				font-family sans-serif
				font-weight bold
				font-size 14px
				line-height 16px
			&__visible__3
				color white
				transition-duration 500ms
				transition-delay 2000ms
				.progress-bar__text__holder
					cursor pointer
					color white
					white-space pre-line
					font-family sans-serif
					font-weight bold
					font-size 14px
					transition-duration 500ms
					text-shadow #0000008f 0 0 20px